visual-studio-2015 - update - visual studio 2015教學




找不到Microsoft.DotNet.Props (5)

儘管這個問題已經回答了。 我最近遇到了同一問題。 更具體的答案是,您需要安裝 Visual Studio 2015 Tools (Preview 2)

https://www.microsoft.com/net/download/core

直接下載:

https://go.microsoft.com/fwlink/?LinkId=827546

因為這不是直截了當的,而且我正在研究1.1 dotnet核心項目,所以我不小心跳過了這一步,只安裝了 Windows SDK 。 我在這里報告了一個問題:

https://github.com/dotnet/core/issues/378

加載.net項目解決方案時出現一些錯誤。 錯誤會像

The imported project "C:\Program Files(x86)\MSBuild\Microsoft\VisualStudio\v14.0\DotNet\Microsoft.DotNet.Props" was not found.Confirm that the path in the <Import> declaration is correct, and that the file exist on disk.

如何解決這個問題呢?


如果您最近安裝了VS 2017,並且遇到此錯誤,並且您的項目正在使用project.json,則可能必須將解決方案升級到csproj,而不是舊的project.json格式。 如果您在vs2017中打開該項目,它將自動進行升級。 查看本文是否需要更多信息 Project-json到csproj


您需要安裝Microsoft .NET Core 1.0.1工具預覽(當前為預覽2)。


我知道我參加晚會已經很晚了,但是作為一個屢次遇到這些問題的人,這兩篇文章確實幫助我理解了為什麼這些問題首先發生以及如何解決。

關於我當前設置的簡短更新:我同時安裝了VS2015和VS2017。 我正在將VS2015與.net Core SDK 1.0.0-preview2-003133一起使用,其中包含.Net Core 1.0.1。 安裝VS 2017後,它會自動安裝.Net Core 1.1.0並將其設置為我的PC上的默認.Net Core版本,這會導致所有問題。

希望其他人也會發現它有用:)

找不到與命令dotnet projectmodel服務器匹配的可執行文件

開發兩個版本的網絡核心SDK端


選項1:

安裝DotNetCore.1.0.1-VS2015Tools.Preview2.0.3。 您可以留在xproj中。

選項2:

安裝Visual Studio 2017並從xproj自動升級到csproj。

選項3:

請按照以下步驟從xproj升級到csproj,並保留在Visual Studio 2015中。

警告:使用以下過程,您將無法使用VS2015加載PCM Web。 相反,您必須堅持並使用DOTNET CLI(命令行提示符)或VSCode IDE

步驟1:從此鏈接下載並安裝.NET Core https://www.microsoft.com/net/download/core

步驟2:轉到 global.json 。 將版本號修改為PC中安裝的版本(對於我的PC是 1.0.1 )。

Old:
{
  "projects": [ "Source" ],
  "sdk": { "version": "1.0.0-preview2-003131" }
}

New:
{
  "projects": [ ""Source" ],
  "sdk": { "version": "1.0.1-*" }
}

步驟3:以管理員身份轉到命令提示符並運行命令

dotnet migrate
dotnet restore
dotnet build
dotnet run




visual-studio-2015